#ifndef SCIMBRIDGEAGENTCOMMIT_H_
#define SCIMBRIDGEAGENTCOMMIT_H_

#include <scim.h>

#include "scim-bridge-agent-event.h"
#include "scim-bridge-imcontext.h"

class ScimBridgeAgentCommitEvent: public ScimBridgeAgentEvent
{

    public:

        ScimBridgeAgentCommitEvent (scim_bridge_imcontext_id_t new_id, const scim::WideString &new_string);
        ~ScimBridgeAgentCommitEvent ();

        const scim::WideString &get_commit_string () const;

        scim_bridge_imcontext_id_t get_imcontext_id () const;

    private:

        const scim::WideString commit_string;

        scim_bridge_imcontext_id_t imcontext_id;

};
#endif                                            /*SCIMBRIDGEAGENTCOMMIT_H_*/
