#ifndef SCIMBRIDGEAGENTFILTERKEYEVENT_H_
#define SCIMBRIDGEAGENTFILTERKEYEVENT_H_

#define Uses_SCIM_EVENT

#include <scim.h>

#include "scim-bridge-agent-client-listener.h"
#include "scim-bridge-agent-event.h"
#include "scim-bridge-imcontext.h"

class ScimBridgeAgentFilterKeyEvent: public ScimBridgeAgentEvent
{

    public:

        ScimBridgeAgentFilterKeyEvent (scim_bridge_imcontext_id_t new_id, const scim::KeyEvent &new_key_event, ScimBridgeAgentClientListener *new_client_listener);
        ~ScimBridgeAgentFilterKeyEvent ();

        scim_bridge_imcontext_id_t get_imcontext_id () const;

        const scim::KeyEvent &get_key_event () const;

        ScimBridgeAgentClientListener *get_client_listener () const;

    private:

        scim_bridge_imcontext_id_t imcontext_id;

        const scim::KeyEvent key_event;

        ScimBridgeAgentClientListener *client_listener;

};
#endif                                            /*SCIMBRIDGEAGENTFILTERKEYEVENT_H_*/
