#ifndef SCIMBRIDGEAGENTFOCUSCHAGNEDEVENT_H_
#define SCIMBRIDGEAGENTFOCUSCHAGNEDEVENT_H_

#include "scim-bridge-agent-client-listener.h"
#include "scim-bridge-agent-event.h"
#include "scim-bridge-imcontext.h"

class ScimBridgeAgentFocusChangedEvent: public ScimBridgeAgentEvent
{

    public:

        ScimBridgeAgentFocusChangedEvent (scim_bridge_imcontext_id_t new_imcontext_id, bool new_focus_in, ScimBridgeAgentClientListener *new_client_listener);
        ~ScimBridgeAgentFocusChangedEvent ();

        bool is_focus_in () const;

        scim_bridge_imcontext_id_t get_imcontext_id () const;

        ScimBridgeAgentClientListener *get_client_listener () const;

    private:

        scim_bridge_imcontext_id_t imcontext_id;

        bool focus_in;

        ScimBridgeAgentClientListener *client_listener;

};
#endif                                            /*SCIMBRIDGEAGENTFOCUSCHAGNEDEVENT_H_*/
