/*
 * SCIM Bridge
 *
 * Copyright (c) 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net>
 *
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.*
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
 * GNU Lesser General Public License for more details.*
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 */

#ifndef SCIMBRIDGEAGENTEXCEPTION_H_
#define SCIMBRIDGEAGENTEXCEPTION_H_

#include <stdexcept>
#include <string>

#include "scim-bridge.h"

class ScimBridgeAgentException: public std::runtime_error
{
    public:
        ScimBridgeAgentException (const std::string &new_message);
        ~ScimBridgeAgentException () throw ();

        const std::string &get_message () const;

    private:

        std::string message;

};
#endif                                            /*SCIMBRIDGEAGENTEXCEPTION_H_*/
